<template>
  <div class="sidebar">
    <div class="logo">
      <router-link to="/">
        <img src="../assets/images/logo.png" alt="" />
      </router-link>
    </div>
    <div class="nav">
      <div class="home">
        <router-link to="/">
          <i class="fa-solid fa-house"></i>
        </router-link>
      </div>
      <div class="manager">
        <router-link to="/manager">
          <i class="fa-solid fa-user-group"></i>
        </router-link>
      </div>
      <div class="orders">
        <router-link to="/orders">
          <i class="fa-solid fa-box-open"></i>
        </router-link>
      </div>
      <div class="settings">
        <router-link to="/settings">
          <i class="fa-solid fa-gear"></i>
        </router-link>
      </div>
    </div>
  </div>
</template>

<script>
export default {};
</script>

<style scoped>
.sidebar {
  width: 80px;
  height: 100vh;

  position: fixed;
  background: rgb(18, 54, 83);
  grid-template-rows: 20% 30% auto;
  display: grid;
  justify-content: center;
  /* align-items: center; */
}

.sidebar .logo img {
  width: 50px;
  margin-top: 10px;
}

.nav {
  display: grid;
  grid-template-rows: repeat(4, auto);
  justify-items: center;
  align-items: center;
  color: white;
}

.sidebar .nav i {
  color: white;
  /* font-size: 21px; */
  padding: 0.75rem;
  border-radius: 50%;
  cursor: pointer;
  transition-duration: 0.3s;
  /* border: 1px solid #0072ff; */
}
.nav i:hover {
  background-color: #0072ff;
}
</style>